### Method

# ECal ComponentAlarmTrigger get_parameter_bag

since: 3.34

#### Declaration [src]

    ECalComponentParameterBag*
    e_cal_component_alarm_trigger_get_parameter_bag (
      const ECalComponentAlarmTrigger* trigger
    )

#### Description

No description available.

Available since: 3.34

#### Return value

Type: `ECalComponentParameterBag`

An `ECalComponentParameterBag` with additional parameters stored with the trigger property, other than those accessible with the other functions of the `trigger`.

The returned data is owned by the instance.